clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Classes | Functions
clang::tidy::google::readability Namespace Reference

## Classes
class | AvoidCStyleCastsCheck
| Finds usages of C-style casts. More...
class | GlobalNamesInHeadersCheck
class | TodoCommentCheck
| Finds TODO comments without a username or bug number. More...

## Functions
static bool | needsConstCast (QualType SourceType, QualType DestType)
static bool | pointedTypesAreEqual (QualType SourceType, QualType DestType)

## Function Documentation

static bool clang::tidy::google::readability::needsConstCast | ( | QualType | SourceType,
|  | QualType | DestType
| ) |  |
| static

Definition at line 36 of file AvoidCStyleCastsCheck.cpp.

Referenced by clang::tidy::google::readability::AvoidCStyleCastsCheck::check().

static bool clang::tidy::google::readability::pointedTypesAreEqual | ( | QualType | SourceType,
|  | QualType | DestType
| ) |  |
| static

Definition at line 48 of file AvoidCStyleCastsCheck.cpp.

Referenced by clang::tidy::google::readability::AvoidCStyleCastsCheck::check().